Subject: Re: pre-receive - 1st push / rev-list didn't work

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 28 Jun 2010 11:03:24 -0700

Mahesh Vaidya <[email-masked]> wrote:
> I am writing pre-receive hooks for commit validation. I use command
> "git rev-list <from> <to>" to determine what am I pushing. I can
> possibly pust more than one commit at a time.
> 
> If I am doing 1st ever push ; then <from> becomes "0" (40 times). How
> do I determine what all commits I am pushing i this situations ?

Your hook has to detect the 0x40 case and just omit it from the
command line when you run git rev-list.

-- 
Shawn.